server.port=8083
server.servlet.context-path=/api/drywall

spring.application.name=project-management

spring.datasource.url=jdbc:postgresql://localhost:5432/postgres
spring.datasource.username=postgres
spring.datasource.password=admin12345

#spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.hibernate.ddl-auto=update

eureka.instance.instance-id=${spring.application.name}:${random.uuid}
eureka.client.registry-fetch-interval-seconds=5
#eureka.client.service-url.defaultzone=${EUREKA_SERVER:http://localhost:8761/eureka}
eureka.client.serviceUrl.defaultZone=http://localhost:8761/eureka/

spring.boot.admin.client.url=http://localhost:8762
spring.boot.admin.client.auto-registration=true
spring.boot.admin.client.instance.name=PROJECT MANAGEMENT

springdoc.swagger-ui.path=/swagger-ui.html
springdoc.api-docs.enabled=true

management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=always

#management.endpoint.health.show-components=always
#management.endpoint.configprops.show-values=always
#management.endpoint.env.show-values=always
#management.endpoint.loggers.enabled=true


#management.endpoint.metrics.enabled=true
#management.info.env.enabled=true
#management.atlas.metrics.export.enabled=true
#management.appoptics.metrics.export.floor-times=true
#management.atlas.metrics.export.lwc-enabled=true
#management.auditevents.enabled=true



#spring.application.admin.enabled=true
#spring.boot.admin.client.auto-deregistration=false

#spring.boot.admin.client.auto-deregistration=false

#spring.boot.admin.client.instance.statuses=UP,DOWN
#spring.boot.admin.client.instance-status.order=UNKNOWN, OFFLINE, DOWN, OUT_OF_SERVICE, RESTRICTED, UP
#spring.boot.admin.routes.endpoints=env, metrics, trace, jolokia, info, configprops
